#
# spec file for package plbogl (Version 1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  mesa mesa-devel mesasoft xf86 xf86glu xf86glu-devel yacc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared yacc

Name:         plbogl
Copyright:    Graphics Performance Characterization (GPC) Committee
Group:        Development
Requires:     mesa
Autoreqprov:  on
Version:      1.0
Release:      364
Summary:      OpenGL port of Picture-Level-Benchmark (PLB)
Source:       plboglV1_0.tar.Z
Source1:      tfiles.tar.Z
Source2:      stand_files.tar.gz
Source3:      plbdocs.tar.gz
Patch:        plboglV1_0.dif
Patch1:       tfiles.dif

%description
Graphic benchmark PLB (OpenGL port)

Authors:
--------
    Simgraphics Engineering Corporation, South Pasadena, California
    Graphics Performance Characterization (GPC) Committee

SuSE series: x3d

%prep
%setup -n plb_ogl_V1_0_src
%patch

%build
make -f Makefile.linux

%install
# Executable
install -o root -g root -m 755 -s plb /usr/bin
# Benchmark Suite
install -o root -g root -d /usr/share/plbogl
install -o root -g root -d /usr/share/plbogl/test_files
tar xvzfC $RPM_SOURCE_DIR/tfiles.tar.Z /usr/share/plbogl/test_files
cd /usr/share/plbogl/test_files; patch -p0 < $RPM_SOURCE_DIR/tfiles.dif
rm -f *.orig; chmod 755 brftest
tar xvzfC $RPM_SOURCE_DIR/stand_files.tar.gz /usr/share/plbogl
# Docs
install -o root -g root -d /usr/share/doc/packages/plbogl
tar xvzfC $RPM_SOURCE_DIR/plbdocs.tar.gz /usr/share/doc/packages/plbogl
cd /usr/share/doc/packages/plbogl 
ln -sf /usr/share/plbogl/test_files
ln -sf /usr/share/plbogl/stand_files

%files
%doc /usr/share/doc/packages/plbogl
/usr/bin/plb
/usr/share/plbogl

%changelog -n plbogl
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Wed May 24 2000 - sndirsch@suse.de
- added mesadev for #neededforbuild
* Wed Feb 09 2000 - sndirsch@suse.de
- changed group tag
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jun 15 1999 - ro@suse.de
- added mesasoft to neededforbuild
* Thu Mar 18 1999 - sndirsch@suse.de
- changed spec file
* Wed Mar 17 1999 - ro@suse.de
- remove .orig with -f
* Wed Feb 10 1999 - sndirsch@suse.de
- Scripts for batch and postprocessing of stand_files which comes with PLB
- README for using these scripts
* Mon Feb 08 1999 - sndirsch@suse.de
- New package plbogl. OpenGL port of Picture-Level-Benchmark (PLB).
